Package: org.codehaus.groovy.grails.cli.jndi

## [Java] Interface JndiBindingHandler

- Used for plugins to register additional handler for JNDI binding For example the Mail plugin can add a binder for javax.mail.Session etc.

  Authors:
    Graeme Rocher
  Since:
    1.2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getType()` @return The interface type this binder handles (eg. javax.sql.DataSource)
    `void` | `handleBinding(org.springframework.mock.jndi.SimpleNamingContextBuilder builder, java.lang.String entryName, java.util.Map entryProperties)` Handles the action binding

- - ### Method Detail

    - #### public java.lang.String getType()

      Returns:
        The interface type this binder handles (eg. javax.sql.DataSource)

    - #### @java.lang.SuppressWarnings("rawtypes") public void handleBinding(org.springframework.mock.jndi.SimpleNamingContextBuilder builder, java.lang.String entryName, java.util.Map entryProperties)

      Handles the action binding

      Parameters:
        `builder` - The builder
        `entryName` - The entry name
        `entryProperties` - The entry properties